Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Lessons

Get Question Participations
GET /training/questions/participation
https://api.relesysapp.net/api/v1.1/training/questions/participation
Get a list of Course Question Participations
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
courseLessonId string / guid Filterable Sortable optional
courseQuestionId string / guid Filterable Sortable optional
creationDateTime datetimeoffset Filterable Sortable optional
isCorrectAnswer boolean Filterable Sortable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
userId string / guid Filterable optional
points integer Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"courseLessonId":"b1514ee4-98eb-4e78-94d2-6a60f39c5f01","courseQuestionId":"0be50da9-d08d-40e4-a885-8b57514a32e0","userId":"313da0ee-041e-4a5c-a1e6-152b6fccb4fd","isCorrectAnswer":true,"points":2,"creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00"},{"courseLessonId":"382ed0e2-bcd9-4946-83e8-7da5721b20b8","courseQuestionId":"890d9673-53fe-475f-8b0f-da08517832a8","userId":"bee9f246-8ac4-4136-8340-49e1140db214","isCorrectAnswer":false,"points":0,"creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   courseLessonId string / guid      
   courseQuestionId string / guid      
   creationDateTime datetimeoffset      
   isCorrectAnswer boolean      
   lastModifiedDateTime datetimeoffset      
   points integer      
   userId string / guid      
  nextUrl string      
  previousUrl string